Welcome, Guest. Please login or register.


Author Topic: ep128emu 2.0.7 (Read 66905 times)

Offline nyuzga

  • EP addict
  • *
  • Posts: 2040
  • Country: hu
  • OS:
  • Windows XP Windows XP
  • Browser:
  • Opera 9.80 Opera 9.80
    • View Profile
Re: ep128emu 2.0.7
« Reply #135 on: 2010.January.14. 23:42:10 »
Úgy kimaradt a szokatlan CPC-s magnóhang élvezete :-)

Akkor hallgasd meg ezt turbóst is. :)
4697-0

Offline geco

  • EP addict
  • *
  • Posts: 5310
  • Country: hu
  • OS:
  • Windows XP Windows XP
  • Browser:
  • Firefox 3.5.7 Firefox 3.5.7
    • View Profile
Re: ep128emu 2.0.7
« Reply #136 on: 2010.January.15. 11:51:33 »
Már megy a tape image fájl töltése is? Király vagy !!!  :smt041
Hétvégén letesztelem én is :)

Offline Attus

  • EP addict
  • *
  • Posts: 1229
  • Country: hu
  • OS:
  • Linux Linux
  • Browser:
  • Firefox 2.0.0.16 Firefox 2.0.0.16
    • View Profile
Re: ep128emu 2.0.7
« Reply #137 on: 2010.January.15. 17:15:34 »
Helyzetjelentés CPCemu szekciót illetõen:
Friss CVS fordítást csináltam a régi alaplapomon UHU 2.1 alatt .
Bemásoltam a ~/.ep128emu/roms alá a romokat.
A fordítási könyvtárban: ./ep128emu -cpc parancsot kiadva azonnal bejelentkezett a cpc.
Betöltöttem a zorro.sna -t.
Íme képernyõkép (egy kis UHU háttérrel)   :ds_icon_cheesygrin::
4700-0

 :smt041

Offline IstvanV

  • EP addict
  • *
  • Posts: 4875
  • OS:
  • Linux (Suse) Linux (Suse)
  • Browser:
  • Konqueror 4.3.1 Konqueror 4.3.1
    • View Profile
Re: ep128emu 2.0.7
« Reply #138 on: 2010.January.15. 21:18:46 »
Már megy a tape image fájl töltése is? Király vagy !!!  :smt041

Azt valójában könnyű volt megoldani, mert a Spectrum emulációhoz már készült TZX olvasás (ez ugyanaz a formátum, mint a CPC-s .CDT, csak más kiterjesztéssel), amit azonban természetesen EP és CPC módban is lehet használni. Az esetleges későbbi floppy emuláció már nagyobb feladat lesz.

Egyelőre azonban még néhány kisebb időzítési pontatlanságot kellene javítani. :oops:

Offline Ep128

  • EP addict
  • *
  • Posts: 1595
  • Country: hu
  • OS:
  • Windows Vista Windows Vista
  • Browser:
  • Firefox 3.0.6 Firefox 3.0.6
    • View Profile
    • Honlapom
Re: ep128emu 2.0.7
« Reply #139 on: 2010.January.15. 23:14:19 »
Azt valójában könnyû volt megoldani, mert a Spectrum emulációhoz már készült TZX olvasás (ez ugyanaz a formátum, mint a CPC-s .CDT, csak más kiterjesztéssel), amit azonban természetesen EP és CPC módban is lehet használni. Az esetleges késõbbi floppy emuláció már nagyobb feladat lesz.

Egyelõre azonban még néhány kisebb idõzítési pontatlanságot kellene javítani. :oops:

Azért én várom azt a floppy emulációt is.  ;-)

Offline Attus

  • EP addict
  • *
  • Posts: 1229
  • Country: hu
  • OS:
  • Linux Linux
  • Browser:
  • Firefox 2.0.0.16 Firefox 2.0.0.16
    • View Profile
Re: ep128emu 2.0.7
« Reply #140 on: 2010.January.16. 00:04:07 »
Azért én várom azt a floppy emulációt is.  ;-)
Kis türelmetlen! :smt064
De :smt098 én is! :mrgreen:

Offline nyuzga

  • EP addict
  • *
  • Posts: 2040
  • Country: hu
  • OS:
  • Windows XP Windows XP
  • Browser:
  • Opera 9.80 Opera 9.80
    • View Profile
Re: ep128emu 2.0.7
« Reply #141 on: 2010.January.16. 10:59:37 »
51 "magnós" CPC játék. :)
4703-0
« Last Edit: 2010.January.16. 11:38:49 by nyuzga »

Offline varrogy

  • User
  • *
  • Posts: 76
  • OS:
  • Mac OS X Mac OS X
  • Browser:
  • Safari Safari
    • View Profile
Re: ep128emu 2.0.7
« Reply #142 on: 2010.January.16. 15:01:55 »
Helyzetjelentés CPCemu szekciót illetõen:
Friss CVS fordítást csináltam a régi alaplapomon UHU 2.1 alatt .
Bemásoltam a ~/.ep128emu/roms alá a romokat.
A fordítási könyvtárban: ./ep128emu -cpc parancsot kiadva azonnal bejelentkezett a cpc.
Betöltöttem a zorro.sna -t.
Íme képernyõkép (egy kis UHU háttérrel)   :ds_icon_cheesygrin::


 :smt041

Csatlakozom OSX 10.6.2 viszonylatban :)
Gratula IstvanV, nagyon jó az emu! Le a kalappal.  :ds_icon_cheesygrin:

Működik, sípol betöltéskor, stb... :)
De valamiért nem tölt be programot. Általában memory full hibát kapok.
Mit rontottam el? A romokat a leírásnak megfelelően mappeltem be.

4705-0

Offline Zozosoft

  • EP addict
  • *
  • Posts: 13313
  • Country: hu
  • OS:
  • Windows XP Windows XP
  • Browser:
  • Firefox 3.5.7 Firefox 3.5.7
    • View Profile
    • http://enterprise.iko.hu/
Re: ep128emu 2.0.7
« Reply #143 on: 2010.January.16. 15:54:09 »
De valamiért nem tölt be programot. Általában memory full hibát kapok.
Ezért írtam pár napja, hogy nem LOAD-dal, hanem RUN-nal kell tölteni!

Offline Attus

  • EP addict
  • *
  • Posts: 1229
  • Country: hu
  • OS:
  • Linux 64 bit (Gentoo) Linux 64 bit (Gentoo)
  • Browser:
  • Firefox 3.5.6 Firefox 3.5.6
    • View Profile
Re: ep128emu 2.0.7
« Reply #144 on: 2010.January.16. 19:25:50 »
István!
Még mindig szenvedek Gentoo64 alatt a bináris legyártásával. Frissült a portage, most már a fltk-2.0_pre6786-r1 van fenn a rendszeremen. evvel sem fordul le, nem tud linkelni a "lock()" és "unlock()" hiányok miatt.
Melyik fltk -t fordítsam le és melyik létrejövõ fájlokat hova kell bemásolnom, hogy statikus linkeléssel jöjjön létre végre az emu binárisa?
Én próbálkoztam, az fltk1.1.9 le sem fordult, az 1.1.10 viszont igen. Én próbálkoztam a magam feje után, de csak roszabb lett. :oops:

Online szipucsu

  • EP addict
  • *
  • Posts: 7628
  • Country: hu
  • OS:
  • Windows XP Windows XP
  • Browser:
  • Firefox 3.5.7 Firefox 3.5.7
    • View Profile
    • Webnyelv.hu - Tanuljunk nyelveket!
Re: ep128emu 2.0.7
« Reply #145 on: 2010.January.16. 19:32:05 »
Ezért írtam pár napja, hogy nem LOAD-dal, hanem RUN-nal kell tölteni!
Ezek szerint a LOAD tölt (mármint a memóriát, de azt tele), a RUN pedig simán futtatja a programot. Végülis logikus. :D
SOUND SOURCE 3,STYLE 16,LEFT 16,RIGHT 64,SYNC 2
SOUND SOURCE 2,STYLE 128,PITCH 25.2,SYNC 2
SOUND PITCH 25,SYNC 2
Videos
OPEL #1:"Audi(o):" ACCESS DENIED

Offline varrogy

  • User
  • *
  • Posts: 76
  • OS:
  • Mac OS X Mac OS X
  • Browser:
  • Safari Safari
    • View Profile
Re: ep128emu 2.0.7
« Reply #146 on: 2010.January.16. 19:59:14 »
Mûködik!
Egy tipp a próbálkozóknak: RUN"" -al kell betölteni a játékokat

Zozo:
Én kérek elnézést :)

Attus, OSX alatt én az fltk-1.1.10-et használtam.
Innen töltöttem le -> Link
nekem mindenféle módosítástól mentesen lefordult az alábbi sorokkal (osx 10.6.2 őn)

./configure --enable-threads
make
sudo make install

(úgy tudom alapból elkészíti a statikus és a dinamikus könyvtárakat is. Nálam a /usr/local/lib alá kerültek ezek a fájlok)

Offline nyuzga

  • EP addict
  • *
  • Posts: 2040
  • Country: hu
  • OS:
  • Windows XP Windows XP
  • Browser:
  • Opera 9.80 Opera 9.80
    • View Profile
Re: ep128emu 2.0.7
« Reply #147 on: 2010.January.16. 20:10:51 »
Tipp: Speed  - No limit

Sokkal gyorsabban tölt és még így is csíkoz, viszont nincs hang. :)

4707-0


Offline IstvanV

  • EP addict
  • *
  • Posts: 4875
  • OS:
  • Linux (Suse) Linux (Suse)
  • Browser:
  • Konqueror 4.3.1 Konqueror 4.3.1
    • View Profile
Re: ep128emu 2.0.7
« Reply #148 on: 2010.January.16. 20:32:52 »
Még mindig szenvedek Gentoo64 alatt a bináris legyártásával. Frissült a portage, most már a fltk-2.0_pre6786-r1 van fenn a rendszeremen. evvel sem fordul le, nem tud linkelni a "lock()" és "unlock()" hiányok miatt.
Melyik fltk -t fordítsam le és melyik létrejövõ fájlokat hova kell bemásolnom, hogy statikus linkeléssel jöjjön létre végre az emu binárisa?
Én próbálkoztam, az fltk1.1.9 le sem fordult, az 1.1.10 viszont igen. Én próbálkoztam a magam feje után, de csak roszabb lett. :oops:

Amint korábban említettem, az FLTK 2.x nem jó, nem kompatibilis az 1.1.x verziókkal; ahhoz, hogy azzal működjön, át kellene írni az emulátort.
Az, hogy egyáltalán lefordult és csak a linkelésnél volt hiba, azt jelzi, hogy a rendszeren van FLTK 1.x is, természetesen --enable-threads nélkül fordítva.
Szerintem egyszerűen fordíts 1.1.10 verziót, és másold az emulátor forrás könyvtárába az FL/-t és a libfltk*.a file-okat.

Offline Attus

  • EP addict
  • *
  • Posts: 1229
  • Country: hu
  • OS:
  • Linux 64 bit (Gentoo) Linux 64 bit (Gentoo)
  • Browser:
  • Firefox 3.5.6 Firefox 3.5.6
    • View Profile
Re: ep128emu 2.0.7
« Reply #149 on: 2010.January.16. 23:11:10 »
Gentoo siker! Mégis kösz az instrukciókat Isván!
Kimaszkoltam az fltk-2.2.0 -t, hogy újrafordíthassam a fennlévõ fltk 1.1.9 -et, mely tényleg --enable-threads nélkül lefordítva volt fenn a rendszeremen. Abban a verzióban volt "threads" USE flag, melyet beállítva mostmár íme az eredmény:
4709-0

 :smt041